<?php
/*
 * Jeans CMS (GPL license)
 * $Id: jp_hello.php 148 2010-03-02 20:41:09Z kmorimatsu $
 */

class jp_NicEdit extends plugin{
	static public function name(){
		return 'WYSIWYG-NicEdit';
	}
	static public function author(){
		return 'Katsumi';
	}
	static public function url(){
		return 'http://jeanscms.sourceforge.jp/';
	}
	static public function desc(){
		return '_JP_NICEDIT_DESC';
	}
	static public function version(){
		return '1.1.1';
	}
	static public function install(){
		self::option()->create('textarea_width','_JP_NICEDIT_WIDTH_OF_TEXTAREA','text','640');
	}
	static public function events(){
		return array('wysiwyg_textarea','pre_add_item','pre_update_item');
	}
	static public function event_wysiwyg_textarea(&$array){
		static $first=true;
		$array['skin']='/jp/nicedit/textarea.inc';
		if ($first) {
			$first=false;
			$array['template']='first';
		} else {
			$array['template']='second';
		}
	}
	static public function event_pre_add_item(&$array){
		return self::event_pre_update_item($array);
	}
	static public function event_pre_update_item(&$array){
		$body=&$array['post']['body'];
		$more=&$array['post']['more'];
		if ($more=='<br>') $more='';
		$body=preg_replace('#<br>\r?\n?#i',"<br />\n",$body);
		$more=preg_replace('#<br>\r?\n?#i',"<br />\n",$more);
	}
	static public function tag_option(&$data,$key){
		self::p(self::option()->$key);
	}
}